Homebrew [Release] CIATest - Another Effort to Rid GBATemp of Cancer

Status
Not open for further replies.

legofan623

Well-Known Member
OP
Member
Joined
Oct 3, 2011
Messages
433
Trophies
0
Age
22
Location
Puyallup, WA
XP
508
Country
United States
qnvxr.png

CIATest by legofan623
My 1st homebrew app WOOT WOOT


Not 100% n3DS compatible

This app is aimed at the padawans (noobs) of our community, so they can learn if .cia files are installable on their system or not. Eventually I hope that this app can be widely spread around (or even integrated into the homebrew starter pack) so that we can rid the forums of "halp me do cia on 10.1" threads. Also it's not compatible with citra for obvious reasons, so don't bother trying.

EXTRACT THE FOLDER TO "SD:/3ds/"


Features:
Idiot-proof GUI
Auto-detect kernel version
Bootable and accurate on all 3DS versions, as long is homebrew is supported
.3dsx format

This app uses Rinnegatamante's LPP3DS Lua interpreter. The binary executable is 100% his work, I just wrote the Lua script and made the UI.

PLEASE tell me if something isn't right or broken. You can find the source code in "/ciatest/index.lua".
 

Attachments

  • ciatest_release.zip
    734.5 KB · Views: 940
Last edited by legofan623,

daxtsu

Well-Known Member
Member
Joined
Jun 9, 2007
Messages
5,627
Trophies
1
XP
4,847
Country
Antarctica
Assuming we just drag and drop the folder into /3ds on the SD, it just gives me a black screen when launched from the Homebrew Launcher.

9.0.0-20U N3DS, so no emunand trickery going on here
Themehax 1.3 booting into the Homebrew Launcher (official build, not any of the fan mods)

Does the index.lua file need to be on the root of the SD or something, like some of these lua homebrew apps?
 

legofan623

Well-Known Member
OP
Member
Joined
Oct 3, 2011
Messages
433
Trophies
0
Age
22
Location
Puyallup, WA
XP
508
Country
United States
Assuming we just drag and drop the folder into /3ds on the SD, it just gives me a black screen when launched from the Homebrew Launcher.

9.0.0-20U N3DS, so no emunand trickery going on here
Themehax 1.3 booting into the Homebrew Launcher (official build, not any of the fan mods)

Does the index.lua file need to be on the root of the SD or something, like some of these lua homebrew apps?
Yeah try putting the assets folder and index.lua at the root. I don't have a n3DS to try it on so I'm not sure if it's compatible.
 

daxtsu

Well-Known Member
Member
Joined
Jun 9, 2007
Messages
5,627
Trophies
1
XP
4,847
Country
Antarctica
I think it's an issue with LPP in general, I can't seem to get any 3dsx versions of lua homebrews working with *hax. Very odd.
 
  • Like
Reactions: DarkRioru

TamDanny

GBATemp 3DS Fanatic
Member
Joined
Aug 20, 2015
Messages
315
Trophies
0
XP
437
Country
Mexico
Even though I'm pretty much a noob CIA's and stuff like that, I never bothered asking this overused question, & I'm pretty sure my system is incompatible with these kinds of things (10.1 o3DS, if you're wondering), I'm still gonna try this out. Thanks for the app! :D
 

legofan623

Well-Known Member
OP
Member
Joined
Oct 3, 2011
Messages
433
Trophies
0
Age
22
Location
Puyallup, WA
XP
508
Country
United States
Even though I'm pretty much a noob CIA's and stuff like that, I never bothered asking this overused question, & I'm pretty sure my system is incompatible with these kinds of things (10.1 o3DS, if you're wondering), I'm still gonna try this out. Thanks for the app! :D
No problem! And thanks for not spamming the forums :yaynds:.
 

keanutah

Well-Known Member
Member
Joined
Sep 18, 2015
Messages
173
Trophies
0
Age
31
XP
162
Country
United States
This is a great idea!

Assuming we just drag and drop the folder into /3ds on the SD, it just gives me a black screen when launched from the Homebrew Launcher.

9.0.0-20U N3DS, so no emunand trickery going on here
Themehax 1.3 booting into the Homebrew Launcher (official build, not any of the fan mods)

Does the index.lua file need to be on the root of the SD or something, like some of these lua homebrew apps?

On my 10.1 n3ds Lua homebrew works fine with the folder in /3ds. Haven't tried this yet though. Maybe an issue with 9.0.0? Might be worth talking with @Rinnegatamante if you've noticed this happening with multiple Lua projects.
 
Last edited by keanutah,
  • Like
Reactions: legofan623

TamDanny

GBATemp 3DS Fanatic
Member
Joined
Aug 20, 2015
Messages
315
Trophies
0
XP
437
Country
Mexico
I'm actually hoping this thread doesn't bombed by noob jokes or literally noob questions. XD
 

legofan623

Well-Known Member
OP
Member
Joined
Oct 3, 2011
Messages
433
Trophies
0
Age
22
Location
Puyallup, WA
XP
508
Country
United States
So this app tells me if I'm running 9.2 or less.
System Settings can do that too.
Yeah but the noobs don't make the connection between system settings and .cia compatibility.

Could you compile this in a .cia please? I really want to know if cias are possible! But i only have RXTools and no HBL
God dammit
 
Status
Not open for further replies.
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: I'm at least hoping to survive to see one alien invasion